cpw.mods.fml.common.network.internal

## Class FMLNetworkHandler

- java.lang.Object
- - cpw.mods.fml.common.network.internal.FMLNetworkHandler

-     public class FMLNetworkHandler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LOGIN_TIMEOUT`
    `static int` | `READ_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLNetworkHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `checkModList(FMLHandshakeMessage.ModList modListPacket, Side side)`
    `static java.lang.String` | `checkModList(java.util.Map<java.lang.String,java.lang.String> listData, Side side)`
    `static void` | `enhanceStatusQuery(com.google.gson.JsonObject jsonobject)`
    `static void` | `fmlClientHandshake(NetworkManager field_147393_d)`
    `static void` | `fmlServerHandshake(ServerConfigurationManager scm, NetworkManager manager, EntityPlayerMP player)`
    `static java.util.List<FMLProxyPacket>` | `forwardHandshake(FMLMessage.CompleteHandshake push, NetworkDispatcher target, Side side)`
    `static Packet` | `getEntitySpawningPacket(Entity entity)`
    `static void` | `makeEntitySpawnAdjustment(Entity entity, EntityPlayerMP player, int serverX, int serverY, int serverZ)`
    `static void` | `openGui(EntityPlayer entityPlayer, java.lang.Object mod, int modGuiId, World world, int x, int y, int z)`
    `static void` | `registerChannel(FMLContainer container, Side side)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READ_TIMEOUT

          public static final int READ_TIMEOUT

    - #### LOGIN_TIMEOUT

          public static final int LOGIN_TIMEOUT

  - ### Constructor Detail

    - #### FMLNetworkHandler

          public FMLNetworkHandler()

  - ### Method Detail

    - #### fmlServerHandshake

          public static void fmlServerHandshake(ServerConfigurationManager scm,
                                NetworkManager manager,
                                EntityPlayerMP player)

    - #### fmlClientHandshake

          public static void fmlClientHandshake(NetworkManager field_147393_d)

    - #### openGui

          public static void openGui(EntityPlayer entityPlayer,
                     java.lang.Object mod,
                     int modGuiId,
                     World world,
                     int x,
                     int y,
                     int z)

    - #### makeEntitySpawnAdjustment

          public static void makeEntitySpawnAdjustment(Entity entity,
                                       EntityPlayerMP player,
                                       int serverX,
                                       int serverY,
                                       int serverZ)

    - #### getEntitySpawningPacket

          public static Packet getEntitySpawningPacket(Entity entity)

    - #### checkModList

          public static java.lang.String checkModList(FMLHandshakeMessage.ModList modListPacket,
                                      Side side)

    - #### checkModList

          public static java.lang.String checkModList(java.util.Map<java.lang.String,java.lang.String> listData,
                                      Side side)

    - #### registerChannel

          public static void registerChannel(FMLContainer container,
                             Side side)

    - #### forwardHandshake

          public static java.util.List<FMLProxyPacket> forwardHandshake(FMLMessage.CompleteHandshake push,
                                                        NetworkDispatcher target,
                                                        Side side)

    - #### enhanceStatusQuery

          public static void enhanceStatusQuery(com.google.gson.JsonObject jsonobject)